RDMA_GET_REQUEST(3)

NAME
rdma_get_request - Retrieves the next pending connection request event.

SYNOPSIS
#include <rdma/rdma_cma.h>

int rdma_get_request (struct rdma_cm_id *listen, struct rdma_cm_id **id);

ARGUMENTS

listen
    Listening rdma_cm_id.

id  rdma_cm_id associated with the new connection.

DESCRIPTION
Retrieves a connection request event. If no requests are pending, the call will block until an event is received.

RETURN VALUE
Returns 0 on success, or -1 on error. If an error occurs, errno will be set to indicate the failure reason.

NOTES
This call may only be used on listening rdma_cm_id's operating synchronously. On success, a new rdma_cm_id representing the connection request will be returned to the user. The new rdma_cm_id will reference event information associated with the request until the user calls rdma_reject, rdma_accept, or rdma_destroy_id on the newly created identifier. For a description of the event data, see rdma_get_cm_event.

If QP attributes are associated with the listening endpoint, the returned rdma_cm_id will also reference an allocated QP.

SEE ALSO
rdma_get_cm_event(3), rdma_accept(3), rdma_reject(3), rdma_connect(3), rdma_listen(3), rdma_destroy_id(3)